%define languageenglazy Farsi
%define languagecode    fa
%define lc_ctype        fa_IR

%define upstream_version 20070116

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 11
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://aspell.net/
Source0:        ftp://ftp.gnu.org/gnu/aspell/dict/fa/aspell6-fa-0.11-0.tar.bz2

BuildRequires:  aspell
BuildRequires:  hunspell-devel
BuildRequires:  hunspell

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-fa
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-fa_FA < 1.0.3
Provides:       myspell-fa_FA

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n aspell6-fa-0.11-0

%build
export LANG=fa_IR.utf8
preunzip -d *.cwl
cat *.wl > farsi.wordlist
wordlist2hunspell farsi.wordlist fa_IR

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright doc/README doc/ChangeLog
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20070116.1-11.mga4
+ Revision: 505562
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20070116.1-10.mga3
+ Revision: 353454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20070116.1-9.mga3
+ Revision: 325256
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20070116.1-8.mga2
+ Revision: 224622
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20070116.1-7.mga2
+ Revision: 207734
+ rebuild (emptylog)

* Sun Feb 12 2012 kamil <kamil> 0.20070116.1-6.mga2
+ Revision: 207727
- use better obsoleting of myspell

* Tue Jan 17 2012 kamil <kamil> 0.20070116.1-5.mga2
+ Revision: 197498
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20070116.1-4.mga1
+ Revision: 69990
- Fix buildrequires
- imported package hunspell-fa


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20070116-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20070116-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20070116-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 20 2008 Caolan McNamara <caolanm@redhat.com> - 0.20070116-1
- initial version
